Remove Customer Tags
curl --request DELETE \
--url https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'secretkey: <api-key>' \
--data '
{
"tags": "<string>"
}
'const options = {
method: 'DELETE',
headers: {
apikey: '<api-key>',
secretkey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tags: '<string>'})
};
fetch('https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags"
payload = { "tags": "<string>" }
headers = {
"apikey": "<api-key>",
"secretkey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("apikey", "<api-key>");
request.AddHeader("secretkey", "<api-key>");
request.AddJsonBody("{\n \"tags\": \"<string>\"\n}", false);
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags"
payload := strings.NewReader("{\n \"tags\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("secretkey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tags' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>",
"secretkey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/tags")
.header("apikey", "<api-key>")
.header("secretkey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"tags\": \"<string>\"\n}")
.asString();{
"success": true,
"message": "<string>"
}Remove Customer Tags
Remove specified tags from a customer profile to keep categorization up to date.
DELETE
/
api
/
v4.0
/
integrations
/
customers
/
{customerId}
/
tags
Remove Customer Tags
Use this endpoint to remove one or more tags from the specified customer.Security: Requires apikey and secretkey headers.
Channel Merging Available
If your system uses different customer IDs across multiple channels (e.g., online and offline), Gameball’s channel merging feature helps unify customer profiles. By including the customer’s mobile number or email (based on your merging configuration) with each request, Gameball will combine activities into a single profile. For more details, see the Omni-Channel Handling Guide.
If your system uses different customer IDs across multiple channels (e.g., online and offline), Gameball’s channel merging feature helps unify customer profiles. By including the customer’s mobile number or email (based on your merging configuration) with each request, Gameball will combine activities into a single profile. For more details, see the Omni-Channel Handling Guide.
Path Parameters
Unique identifier for the customer
Body
application/json
A comma-separated list of tags to apply or remove (e.g., 'gamer, highSpender').
Was this page helpful?
⌘I